/*
	 ADLUCEM_A1 SHADER FILE.
*/

//////////////////////////////////////////////////////////////////////	LIQUIDS	/////////////////////////////////////////////////////////////////////////////////////////

//Same like clear_ripple3 of common package. Texture changed (green).
textures/001/misc_green_water
	{
		qer_editorimage "textures/001/misc_green_water.tga"
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
		cull disable
		deformVertexes wave 64 sin .5 .5 0 .5	
		
		{ 
			map "textures/001/misc_green_water.tga"
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 1.5 0 1.5 1 1 2
			tcmod scroll -.05 .001
		}
	
		{ 
			map "textures/001/misc_green_water.tga"
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 0 1.5 1 1.5 2 1
			tcmod scroll .025 -.001
		}

		{ 
			map "textures/001/misc_green_water.tga"
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .25 .5
			tcmod scroll .001 .025
		}
	
		{
			map $lightmap
			blendFunc GL_dst_color gl_src_color
			rgbgen identity		
		}
	
}


//Same like clear_ripple3 of common package. Texture changed (blue).
textures/001/misc_blue_water
	{
		qer_editorimage "textures/001/misc_blue_water.tga"
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
		cull disable
		deformVertexes wave 64 sin .5 .5 0 .5	
		
		{ 
			map "textures/001/misc_blue_water.tga"
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 1.5 0 1.5 1 1 2
			tcmod scroll -.05 .001
		}
	
		{ 
			map "textures/001/misc_blue_water.tga"
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 0 1.5 1 1.5 2 1
			tcmod scroll .025 -.001
		}

		{ 
			map "textures/001/misc_blue_water.tga"
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .25 .5
			tcmod scroll .001 .025
		}
	
		{
			map $lightmap
			blendFunc GL_dst_color gl_src_color
			rgbgen identity		
		}
	
}

//////////////////////////////////////////////////////////////////////	CONCRETE	/////////////////////////////////////////////////////////////////////////////////////////


//Normal ground texture.
textures/001/con_normal_ground
{
	qer_editorimage "textures/001/con_normal_ground.tga"
	surfaceparm nodamage
	
	{ 
		map "textures/001/con_normal_ground.tga"
	}
    {
		map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
}

//Lemming ground texture.
textures/001/con_lemming_ground
{
	qer_editorimage "textures/001/con_lemming_ground.tga"

	
	{ 
		map "textures/001/con_lemming_ground.tga"
	}
    {
		map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
}

//Icy ground texture.
textures/001/con_icy_ground
{
	qer_editorimage "textures/001/con_icy_ground.tga"
	surfaceparm nodamage
	surfaceparm slick
	
	{ 
		map "textures/001/con_icy_ground.tga"
	}
    {
		map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map "textures/001/tint.tga"
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

//Icy ground texture.
textures/001/con_gold_ground
{
	qer_editorimage "textures/001/con_gold_ground.tga"
	surfaceparm nodamage
	surfaceparm slick
	
	{ 
		map "textures/001/con_gold_ground.tga"
	}
    {
		map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map "textures/001/tint.tga"
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

//Pad texture.
textures/001/con_pad_ground
{
	qer_editorimage "textures/001/con_pad_ground.tga"
	surfaceparm nodamage
	
	{ 
		map "textures/001/con_pad_ground.tga"
	}
    {
		map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
}

//Icy texture.
textures/001/con_metal_wall
{
	qer_editorimage "textures/001/con_metal_wall.tga"
	
	{ 
		map "textures/001/con_metal_wall.tga"
	}
    {
		map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map "textures/001/tint.tga"
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/001/con_game_wall.tga
{
    qer_editorImage "textures/001/con_game_wall.tga"
    surfaceparm detail
    {
        map "textures/001/con_game_wall.tga"
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/001/con_game_ground.tga
{
    qer_editorImage "textures/001/con_game_ground.tga"
    surfaceparm detail
    surfaceparm caution
    {
        map "textures/001/con_game_ground.tga"
    }
    {
        map $lightmap
        blendFunc filter
    }
}

//Normal ground texture.
textures/001/con_ladder
{
	qer_editorimage "textures/001/col_brown.tga"
	surfaceparm ladder
	
	{ 
		map "textures/001/col_brown.tga"
	}
}

//////////////////////////////////////////////////////////////////////	PORTALS	/////////////////////////////////////////////////////////////////////////////////////////

//Green portal texture. Used in column.
textures/001/misc_column_portal
{
	qer_editorimage "textures/001/misc_column_portal.tga"
	qer_trans .5
	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm nonsolid
	
	{
		map "textures/001/misc_column_portal.tga"
		tcGen environment

		blendfunc GL_ONE GL_ONE
        tcMod scroll 0 1
    }
}

//////////////////////////////////////////////////////////////////////	SKY	/////////////////////////////////////////////////////////////////////////////////////////

//Sky from http://www.custommapmakers.org/skyboxes.php
textures/001/mp_moonwaw
{
	qer_editorimage "env/001/moonwaw_ft.tga"
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 256
	surfaceparm sky
	q3map_surfacelight 80
	q3map_sun 1 1 1 150 290 40
	skyparms env/001/moonwaw - -
}

//////////////////////////////////////////////////////////////////////	MODELS	/////////////////////////////////////////////////////////////////////////////////////////

//Model from http://www.wemakemaps.com
models/001/teleporter/el_jumpp 
{
	{
		map "models/001/teleporter/el_basefx.tga"
		tcmod scale 1 1
		rgbGen vertex
	}
	{
		map "models/001/teleporter/el_rota.tga"
		blendfunc add
		rgbGen vertex
		tcMod rotate -500
	}
	{
		map "models/001/teleporter/el_rota.tga"
		blendfunc add
		rgbGen vertex
		tcMod rotate -250
	}
	{
		map "models/001/teleporter/el_basefx2.tga"
		tcmod scale 1 1
		blendfunc add
		rgbGen wave sin 0.5 0.5 0 1 
	}
	{
		map "models/001/teleporter/el_jumpp.tga"
		blendfunc blend
		rgbGen vertex 
		alphaFunc GE128
	}
}

//////////////////////////////////////////////////////////////////////	MISC		/////////////////////////////////////////////////////////////////////////////////////////

//Camera texture.
textures/001/misc_camera
{
	qer_editorimage "textures/001/col_black.tga"
	surfaceparm playerclip
	portal
	{
		map "textures/001/col_black.tga"
 		blendFunc GL_one GL_one
		blendFunc add
		depthWrite
		alphaGen portal 1600
    }
	
	{
        map "textures/001/tint.tga"
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

//Glass.
textures/001/misc_glass
{
	qer_editorimage "textures/001/col_white.tga"
	qer_trans 0.3
	surfaceparm trans
	surfaceparm slick
	//cull none
	{
		map "textures/001/col_white.tga"
		blendfunc GL_dst_color GL_one
	}
	
	{
        map "textures/001/tint.tga"
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

//Logo.
textures/001/misc_logo
{
	qer_editorimage "textures/001/col_white.tga"
	qer_trans 0.3
	surfaceparm trans
	cull none
	{
		map "textures/001/col_white.tga"
		blendfunc GL_dst_color GL_one
	}
	
	{
        map "textures/001/tint.tga"
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

//Ball.
textures/001/misc_ball
{
	qer_editorimage "textures/001/col_blue.tga"
	qer_trans 0.3
	surfaceparm trans
	cull none
	{
		map "textures/001/col_blue.tga"
		blendfunc GL_dst_color GL_one
	}
	
	{
        map "textures/001/tint.tga"
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

//Green portal texture. Used in column.
textures/001/misc_light
{
	qer_editorimage "textures/001/misc_light.tga"
    deformVertexes autoSprite
    surfaceparm trans
	surfaceparm nonsolid
    surfaceparm nomarks
    surfaceparm nolightmap
    cull none  
    
    {
		clampmap "textures/001/misc_light.tga"
		blendfunc add
		rgbGen wave noise 0.5 0.5 0 20
		tcMod stretch triangle .6 0.1 0 8
	}
}